from setuptools import setup

from slpInstaller import UCS, PLATFORM, INSTALLER_VERSION_STR, STACKLESS_VERSION


setup(
    name='stackless_installer_C%d_%s' % (UCS, PLATFORM.replace('-', '_')),
    version=INSTALLER_VERSION_STR,
    description='Installer for Stackless Python %s ucs%d' % (PLATFORM, UCS),
    author='Christian Tismer',
    author_email='tismer@stackless.com',
    maintainer='Anselm Kruis',
    maintainer_email='a.kruis@science-computing.de',
    url='http://www.stackless.com',
    packages=['slpInstaller'],
    include_package_data = True,
    # other arguments here...
    entry_points = {
        'console_scripts': [
            'install-stackless = slpInstaller:main_install',
            'uninstall-stackless = slpInstaller:main_uninstall',
        ],
    },
    zip_safe=True,
    long_description=open("README.rst").read(),
    classifiers=[
          "License :: OSI Approved :: Python Software Foundation License",
          "Programming Language :: Python",
          "Programming Language :: Python :: "+".".join(map(str,STACKLESS_VERSION[:2])),
          "Programming Language :: Python :: Implementation :: Stackless", 
          "Operating System :: POSIX :: Linux",
          "Development Status :: 5 - Production/Stable",
          "Intended Audience :: Developers",
          "Topic :: Software Development :: Libraries :: Python Modules",
      ],
      keywords='stackless',
      license='Python Software Foundation License',
      platforms=PLATFORM,
    )
